#
# Função que gera os relatórios.
# Autores: Lucas de Barros Costa, Nicole Rizzi Nunes e Úrsula Abreu Ferreira 
#

function relatorios()
    println("Número de vagas: ", totalVagas)
    println()

    println("Vereadores eleitos:");
    for i = 1:(length(candidatos))
        if getFoiEleito(candidatos[i])
            print(i)
            if getColigacao(candidatos[i]) == ""
                println(" - " * getNome(candidatos[i]) * " (" * getPartidoAtual(candidatos[i]) * ", " * getVotos(candidatos[i]) * " votos)")
            end
            if getColigacao(candidatos[i]) != ""
                println(" - " * getNome(candidatos[i]) * " (" * getPartidoAtual(candidatos[i]) * ", " * getVotos(candidatos[i]) * " votos) - Coligação: " * getColigacao(candidatos[i]))
            end
        end
    end

    println()
    println("Candidatos mais votados (em ordem decrescente de votação e respeitando número de vagas):");
    sort!(candidatos, by=getVotosNumber, rev = true)

    for i = 1:totalVagas
        print(i)
        if getColigacao(candidatos[i]) == ""
            println(" - " * getNome(candidatos[i]) * " (" * getPartidoAtual(candidatos[i]) * ", " * getVotos(candidatos[i]) * " votos)")
        end
        if getColigacao(candidatos[i]) != ""
            println(" - " * getNome(candidatos[i]) * " (" * getPartidoAtual(candidatos[i]) * ", " * getVotos(candidatos[i]) * " votos) - Coligação: " * getColigacao(candidatos[i]))
        end

    end

    println()
    print("Total de votos nominais: ")

    totalVotos = 0

    for i = 1:length(candidatos)
        totalVotos = totalVotos + parse(Int64, getVotos(candidatos[i]))
    end

    println(totalVotos)
end